package com.gyee.frame.controller.gen;

import java.util.List;

import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.github.pagehelper.PageInfo;
import com.gyee.frame.common.base.BaseController;
import com.gyee.frame.common.domain.AjaxResult;
import com.gyee.frame.model.auto.Gyeerole;
import com.gyee.frame.model.auto.Gyeeuserinformation;
import com.gyee.frame.model.custom.TableSplitResult;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.model.custom.TitleVo;
import com.gyee.frame.service.GyeeuserinformationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Controller
@RequestMapping("GyeeuserinformationController")
@Api(value = "")
public class GyeeuserinformationController extends BaseController{
	
	private String prefix = "gen/gyeeuserinformation";
	@Autowired
	private GyeeuserinformationService gyeeuserinformationService;
	
	@GetMapping("view")
	@RequiresPermissions("gen:gyeeuserinformation:view")
    public String view(ModelMap model)
    {	
		String str="";
		setTitle(model, new TitleVo("列表", str+"管理", true,"欢迎进入"+str+"页面", true, false));
        return prefix + "/list";
    }
	
	/**
	 * 
		 *@author:Li Miao
		 *
		 *@description: 获取用户信息
		 *
		 *@param:userid
		 *
		 *@return:
		 *
		 *
		 *@createTime:2020年4月16日
		 *
	 */
	@GetMapping("/GyeeUserInformation")
	@ResponseBody
	public AjaxResult getUserInformation(String userid){
		Gyeeuserinformation gyeeUserInformation=gyeeuserinformationService.queryById(userid);
		if(gyeeUserInformation.getId()!=""&&gyeeUserInformation.getId()!=null){
			return AjaxResult.successData(200, gyeeUserInformation);
			
		}else{
			return AjaxResult.error(500, "无法获取用户信息");
		}
	}
	
	//@Log(title = "集合查询", action = "111")
	@PostMapping("list")
	@RequiresPermissions("gen:gyeeuserinformation:list")
	@ResponseBody
	public Object list(Tablepar tablepar,String searchText){
		PageInfo<Gyeeuserinformation> page=gyeeuserinformationService.list(tablepar,searchText) ; 
		TableSplitResult<Gyeeuserinformation> result=new TableSplitResult<Gyeeuserinformation>(page.getPageNum(), page.getTotal(), page.getList()); 
		return  result;
	}
	
	/**
     * 新增
     */

    @GetMapping("/add")
    public String add(ModelMap modelMap)
    {
        return prefix + "/add";
    }
	
	//@Log(title = "新增", action = "111")
	@PostMapping("add")
	@RequiresPermissions("gen:gyeeuserinformation:add")
	@ResponseBody
	public AjaxResult add(Gyeeuserinformation gyeeuserinformation){
		int b=gyeeuserinformationService.insertSelective(gyeeuserinformation);
		if(b>0){
			return success();
		}else{
			return error();
		}
	}
	
	/**
	 * 删除用户
	 * @param ids
	 * @return
	 */
	//@Log(title = "删除", action = "111")
	@PostMapping("remove")
	@RequiresPermissions("gen:gyeeuserinformation:remove")
	@ResponseBody
	public AjaxResult remove(String ids){
		int b=gyeeuserinformationService.deleteByPrimaryKey(ids);
		if(b>0){
			return success();
		}else{
			return error();
		}
	}
	
	/**
	 * 检查用户
	 * @param tsysUser
	 * @return
	 */
	@PostMapping("checkNameUnique")
	@ResponseBody
	public int checkNameUnique(Gyeeuserinformation gyeeuserinformation){
		int b=gyeeuserinformationService.checkNameUnique(gyeeuserinformation);
		if(b>0){
			return 1;
		}else{
			return 0;
		}
	}
	
	
	/**
	 * 修改跳转
	 * @param id
	 * @param mmap
	 * @return
	 */
	@GetMapping("/edit/{id}")
    public String edit(@PathVariable("id") String id, ModelMap mmap)
    {
        mmap.put("Gyeeuserinformation", gyeeuserinformationService.selectByPrimaryKey(id));

        return prefix + "/edit";
    }
	
	/**
     * 修改保存
     */
    //@Log(title = "修改", action = "111")
    @RequiresPermissions("gen:gyeeuserinformation:edit")
    @PostMapping("/edit")
    @ResponseBody
    public AjaxResult editSave(Gyeeuserinformation record)
    {
        return toAjax(gyeeuserinformationService.updateByPrimaryKeySelective(record));
    }

    
    /**
   	 * 根据主键查询
   	 * 
   	 * @param id
   	 * @param mmap
   	 * @return
   	 */
   	@PostMapping("/get/{id}")
   	@ApiOperation(value = "根据id查询唯一", notes = "根据id查询唯一")
   	public Gyeeuserinformation edit(@PathVariable("id") String id) {
   		return gyeeuserinformationService.selectByPrimaryKey(id);
   	}
    

	
}
